{% if item.registry is defined %}
FROM {{ item.registry.url }}/{{ item.image }}
{% else %}
FROM {{ item.image }}
{% endif %}

RUN yum update -y && \
    yum install -y python3 python3-pip sudo systemd bash vim ca-certificates iputils iproute ncurses && \
    rm -Rf /usr/share/doc && \
    rm -Rf /usr/share/man

ENV ANSIBLE_USER=svc_provision ANSIBLE_USER_ID=3000 SUDO_GROUP=wheel
RUN set -xe \
  && groupadd -g ${ANSIBLE_USER_ID} ${ANSIBLE_USER} \
  && useradd -s '/bin/bash' -u ${ANSIBLE_USER_ID} -m -g ${ANSIBLE_USER} ${ANSIBLE_USER} \
  && usermod -aG ${SUDO_GROUP} ${ANSIBLE_USER} \
  && sed -i "/^%${SUDO_GROUP}/s/ALL\$/NOPASSWD:ALL/g" /etc/sudoers
